#
# spec file for package perl-Method-Signatures-Simple
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Method-Signatures-Simple
Version:        1.07
Release:        bp155.2.8
%define cpan_name Method-Signatures-Simple
Summary:        Basic method declarations with signatures, without source filters
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Method-Signatures-Simple/
Source:         http://www.cpan.org/authors/id/R/RH/RHESA/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Devel::Declare) >= 0.003001
Requires:       perl(Devel::Declare) >= 0.003001
%{perl_requires}

%description
Basic method declarations with signatures, without source filters

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.07
  see /usr/share/doc/packages/perl-Method-Signatures-Simple/Changes
  1.07    2013-01-20  Rhesa Rozendaal <rhesa@cpan.org>
    Fix RT80510: empty methods returning @_
  1.06    2013-01-20  Rhesa Rozendaal <rhesa@cpan.org>
    Fix a test so it passes on 5.10
  1.05    2013-01-18  Rhesa Rozendaal <rhesa@cpan.org>
    Fix RT80507: keep perl's idea of line number
    intact when mangling multi-line signatures
  1.04    2013-01-17  Rhesa Rozendaal <rhesa@cpan.org>
    Fix RT80505: allow comments in multiline
    signature
  1.03    2013-01-17  Rhesa Rozendaal <rhesa@cpan.org>
    Fix RT80508: allow space between invocant
    and colon
  1.02    2011-09-01  Rhesa Rozendaal <rhesa@cpan.org>
    Avoid uninitialized warning.
  1.01    2011-08-31  Rhesa Rozendaal <rhesa@cpan.org>
    Add func keyword for subs with signatures.
    Thanks to Chip Salzenberg.
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.02
  see /usr/share/doc/packages/perl-Method-Signatures-Simple/Changes
  1.02    2011-09-01  Rhesa Rozendaal <rhesa@cpan.org>
    Avoid uninitialized warning.
  1.01    2011-08-31  Rhesa Rozendaal <rhesa@cpan.org>
    Add func keyword for subs with signatures.
    Thanks to Chip Salzenberg.
* Fri Apr 22 2011 coolo@opensuse.org
- initial package 0.06
  * created by cpanspec 1.78.04
